View Issue Details

IDProjectCategoryView StatusLast Update
0018381LazarusLCLpublic2016-02-17 02:04
ReporterDavid EmersonAssigned ToZeljan Rikalo 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version 
Summary0018381: double clicking column separator should auto expand to fit contents
DescriptionGTK 2 grid

Currently, double clicking a column separator is treated as a double click on the actively selected row. As far as user-friendly feature-rich grids go, it's pretty standard for double-clicking a column (or row) separator to auto-expand that column's width to fit the contents. (Sometimes that means making it smaller)
TagsNo tags attached.
Fixed in Revision35577
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0021354 resolvedZeljan Rikalo LCL-GTK2 TListView Report view style column size reduce not working well. 

Activities

Zeljan Rikalo

2012-02-23 19:43

developer   ~0057043

Indeed, it works fine with qt :)

Zeljan Rikalo

2012-02-24 11:47

developer   ~0057059

Please test and close if ok.
NOTE: This fix is TCustomListView only, if you need such ability for TStringGrid then open new issue and add all widgetsets to issue.

David Emerson

2016-02-17 02:04

reporter   ~0090092

I guess I should have specified that I am seeing this behavior in the lazarus UI: Watch List, Breakpoints, Locals.

Sorry for taking so darn long to respond :(

Issue History

Date Modified Username Field Change
2011-01-03 23:22 David Emerson New Issue
2011-01-03 23:22 David Emerson Widgetset => GTK 2
2011-01-04 09:49 Vincent Snijders LazTarget => -
2011-01-04 09:49 Vincent Snijders Status new => acknowledged
2012-02-23 18:21 Zeljan Rikalo Relationship added related to 0021354
2012-02-23 19:43 Zeljan Rikalo Note Added: 0057043
2012-02-24 11:47 Zeljan Rikalo Fixed in Revision => 35577
2012-02-24 11:47 Zeljan Rikalo Status acknowledged => resolved
2012-02-24 11:47 Zeljan Rikalo Resolution open => fixed
2012-02-24 11:47 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-02-24 11:47 Zeljan Rikalo Note Added: 0057059
2016-02-17 02:04 David Emerson Note Added: 0090092